# class KPanelMenu | DCop client menu class for the Kicker panel that will insert a submenu into the KDE menu. More...
Definition | `#include <kpanelmenu.h>`
Inherits | DCOPObject (dcop) [public ], QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KPanelMenu (const QString &title, QObject *parent = 0, const char *name = 0 )
- KPanelMenu (const QPixmap &icon, const QString &title, QObject *parent, const char *name)
- KPanelMenu (QObject *parent, const char *name)
- ~KPanelMenu ()
- int insertItem (const QString &text, int id = -1)
- int insertItem (const QPixmap &icon, const QString &text, int id = -1 )
- KPanelMenu * insertMenu (const QPixmap &icon, const QString &text, int id=-1)
- void clear ()
- bool process (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &reply)

#### Signals

- void activated (int id)

#### Protected Methods

- void init (const QPixmap &icon, const QString &title)

## Detailed Description

DCop client menu class for the Kicker panel that will insert a submenu into the KDE menu.

KPanelMenu (const QString &title, QObject *parent = 0, const char *name = 0 ) | ### KPanelMenu

Constructs a new menu with the given title.

KPanelMenu (const QPixmap &icon, const QString &title, QObject *parent, const char *name) | ### KPanelMenu

Same as above, but with an icon for the submenu item.

KPanelMenu (QObject *parent, const char *name) | ### KPanelMenu

Constructs a new (sub)menu with a given id.

~KPanelMenu () | ### ~KPanelMenu

Make sure you actually destroy this thing or the menu will never go away until this application quits or Kicker restarts ;-)

int insertItem (const QString &text, int id = -1) | ### insertItem

Inserts an item into the menu.

int insertItem (const QPixmap &icon, const QString &text, int id = -1 ) | ### insertItem

Inserts an item with a icon. The icon name must be a full path.

KPanelMenu * insertMenu (const QPixmap &icon, const QString &text, int id=-1) | ### insertMenu

Inserts a sub menu with a icon. The icon name must be a full path.

void clear () | ### clear

Clears the menu.

bool process (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &reply) | ### process

Reimplemented from DCOPObject.

void activated (int id) | ### activated

[signal]

Emitted when the user selects an item from the Kicker menu.

void init (const QPixmap &icon, const QString &title) | ### init

[protected]

- Author: Daniel M. Duley <mosfet@kde.org>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.